Package org.kie.api.runtime.conf

# Class BeliefSystemTypeOption

java.lang.Object
org.kie.api.runtime.conf.BeliefSystemTypeOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`, `SingleValueRuleRuntimeOption`

public class BeliefSystemTypeOption extends Object implements SingleValueRuleRuntimeOption
A class for the belief system configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<BeliefSystemTypeOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the belief system configuration

  ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static BeliefSystemTypeOption`
  `get(String beliefSystemType)`
  This is a factory method for this belief system configuration.
  `String`
  `getBeliefSystemType()`
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the belief system configuration
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<BeliefSystemTypeOption> KEY

- ## Method Details

  - ### get

    public static BeliefSystemTypeOption get(String beliefSystemType)
    This is a factory method for this belief system configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `beliefSystemType` - the identifier for the belie system
    Returns:
      the actual type safe default clock type configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### getBeliefSystemType

    public String getBeliefSystemType()
    Returns:
      the configured belief system type

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`